import { ConfigProvider, Skeleton } from "antd";
import classNames from "clsx";
import React, { useContext } from "react";
import { useStyle } from "./style";
/**
 * 加载中的占位组件
 */ export var MermaidFallback = function MermaidFallback() {
    var context = useContext(ConfigProvider.ConfigContext);
    var baseCls = (context === null || context === void 0 ? void 0 : context.getPrefixCls('agentic-plugin-mermaid')) || 'agentic-plugin-mermaid';
    var _useStyle = useStyle(baseCls), wrapSSR = _useStyle.wrapSSR, hashId = _useStyle.hashId;
    return wrapSSR(/*#__PURE__*/ React.createElement("div", {
        className: classNames("".concat(baseCls, "-fallback"), hashId)
    }, /*#__PURE__*/ React.createElement(Skeleton.Image, {
        active: true,
        style: {
            width: '100%',
            minHeight: '200px',
            maxWidth: '800px'
        }
    })));
};
